<?php
declare(strict_types=1);

namespace App\Framework\Core\System\Ini;

final class IniDirective
{
    public function __construct(
        public string $name,
        public string $value,
        public string $global,
        private int $accessMask,
    ) {}

    public function getAccess(): int
    {
        $access = Access::fromBitmask($this->accessMask);
        return $this->accessMask;
    }
}
